com.pixelmed.database

## Class DeleteFromDatabase

- java.lang.Object
- - com.pixelmed.database.DeleteFromDatabase

    public class DeleteFromDatabase
    extends java.lang.Object

This class provides methods for removing entries from a database, all its children and any associated files that were copied into the database (rather than referenced).

### Constructor Summary

Constructors
Constructor and Description
`DeleteFromDatabase()`

### Method Summary

Methods
`static void` `deleteRecordChildrenAndFilesByLocalPrimaryKey(DatabaseInformationModel d, InformationEntity ie, java.lang.String localPrimaryKeyValue)` Remove the database entry, all its children and any copied files.
`static void` `deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, InformationEntity ie, java.lang.String keyValue)` Remove the database entry, all its children and any copied files.
`static void` `deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, java.lang.String ieName, java.lang.String keyValue)`
`static void` `main(java.lang.String[] arg)` Remove the database entry, all its children and any copied files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteFromDatabase

    public DeleteFromDatabase()

### Method Detail

#### deleteRecordChildrenAndFilesByUniqueKey

    public static void deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d,
                                               java.lang.String ieName,
                                               java.lang.String keyValue)
                                                        throws DicomException

Throws:
  `DicomException`

#### deleteRecordChildrenAndFilesByUniqueKey

    public static void deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d,
                                               InformationEntity ie,
                                               java.lang.String keyValue)
                                                        throws DicomException

Remove the database entry, all its children and any copied files.

Parameters:
  `d` -
  `ie` -
  `keyValue` - for the PATIENT level, the unique key is the PatientID, otherwise it is the InstanceUID of the entity
Throws:
  `DicomException`

#### deleteRecordChildrenAndFilesByLocalPrimaryKey

    public static void deleteRecordChildrenAndFilesByLocalPrimaryKey(DatabaseInformationModel d,
                                                     InformationEntity ie,
                                                     java.lang.String localPrimaryKeyValue)
                                                              throws DicomException

Remove the database entry, all its children and any copied files.

Parameters:
  `d` -
  `ie` -
  `localPrimaryKeyValue` -
Throws:
  `DicomException` - if the databaseInformationModel or ie are invalid

#### main

    public static void main(java.lang.String[] arg)

Remove the database entry, all its children and any copied files.

For the PATIENT level, the unique key is the PatientID, otherwise it is the InstanceUID of the entity.

Parameters:
  `arg` - four arguments, the class name of the model, the (full) path of the database file prefix, the level of the entity to remove and the unique key of the entity